[Date Prev][Date Next] [Thread Prev][Thread Next] [Date Index] [Thread Index]

Re: new upstream Cogito conflicts with GNU Interactive Tools

On Thu, 02 Jun 2005, J. Bruce Fields wrote:

> On Thu, Jun 02, 2005 at 04:51:12PM -0500, Michael Janssen wrote:
> > > Le Jeudi 02 Juin 2005 21:25, Sebastian Kuzminsky a écrit :
> > > > Should I just make my cogito package Conflict with the GNU Interactive
> > > > Tools git package?
> ...
> > My suggestion is to rename the binary in the cogito package to
> > something which makes more sense, perhaps cogito-git.
> Why not just take the git developers at their word, and assume that the
> intersection between users of git and of GNU Interactive Tools is likely
> to be the empty set?
> Then you can just make them conflict, and don't bother with any
> workarounds until you actually find someone who cares about both....

Because Debian Policy forbids this in section 10.1: 
Two different packages must not install programs with different
functionality but with the same filenames.  If this case happens, one
of the programs must be renamed. 

Either rename one of the programs or (if it is actually true that
noone uses GNU Interactive Tools) have git removed from the archive.

Michael Janssen --- Jamuraa --- jamuraa@base0.net --- jamuraa@debian.org

Reply to: